summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author B. Watson2019-12-29 05:27:03 +0100
committer Willy Sudiarto Raharjo2019-12-29 05:27:03 +0100
commit547034bc254dd8c14f3aba9b7fb3894f9ac44318 (patch)
treefe7696ef0f09dc505340a613221e69f886204243 /graphics
parentc5864ccde0498a33582aa7fe20619b9176bb9cad (diff)
downloadslackbuilds-547034bc254dd8c14f3aba9b7fb3894f9ac44318.tar.gz
graphics/xcf-pixbuf-loader: Added (gdk-pixbuf2 loader for Gimp).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/xcf-pixbuf-loader/README7
-rw-r--r--graphics/xcf-pixbuf-loader/doinst.sh3
-rw-r--r--graphics/xcf-pixbuf-loader/git2tarxz.sh42
-rw-r--r--graphics/xcf-pixbuf-loader/slack-desc19
-rw-r--r--graphics/xcf-pixbuf-loader/xcf-pixbuf-loader.SlackBuild84
-rw-r--r--graphics/xcf-pixbuf-loader/xcf-pixbuf-loader.info10
6 files changed, 165 insertions, 0 deletions
diff --git a/graphics/xcf-pixbuf-loader/README b/graphics/xcf-pixbuf-loader/README
new file mode 100644
index 0000000000..be12107a5a
--- /dev/null
+++ b/graphics/xcf-pixbuf-loader/README
@@ -0,0 +1,7 @@
+xcf-pixbuf-loader (gdk-pixbuf2 loader for Gimp image files)
+
+XCF is the Gimp's native file format, as created by its Save command. This
+loader allows applications using gdk-pixbuf2 to load .xcf files. In
+particular, it works with qiv.
+
+Note: loading large .xcf files is slow. Be patient.
diff --git a/graphics/xcf-pixbuf-loader/doinst.sh b/graphics/xcf-pixbuf-loader/doinst.sh
new file mode 100644
index 0000000000..364414cfa1
--- /dev/null
+++ b/graphics/xcf-pixbuf-loader/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-gdk-pixbuf-loaders ]; then
+ /usr/bin/update-gdk-pixbuf-loaders >/dev/null 2>&1
+fi
diff --git a/graphics/xcf-pixbuf-loader/git2tarxz.sh b/graphics/xcf-pixbuf-loader/git2tarxz.sh
new file mode 100644
index 0000000000..0fdb9f89b5
--- /dev/null
+++ b/graphics/xcf-pixbuf-loader/git2tarxz.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# Create source tarball from git repo, with generated version
+# number. We don't include the git history in the tarball.
+
+# Note that this script doesn't need to be run as root. It does
+# need to be able to write to the current directory it's run from.
+
+PRGNAM=xcf-pixbuf-loader
+CLONE_URL=https://github.com/StephaneDelcroix/$PRGNAM.git
+
+set -e
+
+GITDIR=$( mktemp -dt $PRGNAM.git.XXXXXX )
+rm -rf $GITDIR
+git clone $CLONE_URL $GITDIR
+
+CWD="$( pwd )"
+cd $GITDIR
+
+VERSION=$( git log --date=format:%Y%m%d --pretty=format:%cd.%h -n1 )
+
+rm -rf .git
+find . -name .gitignore -print0 | xargs -0 rm -f
+
+cd "$CWD"
+rm -rf $PRGNAM-$VERSION $PRGNAM-$VERSION.tar.xz
+mv $GITDIR $PRGNAM-$VERSION
+tar cvfJ $PRGNAM-$VERSION.tar.xz $PRGNAM-$VERSION
+
+cat <<EOF
+
+Archive created: $PRGNAM-$VERSION.tar.xz
+
+Update $PRGNAM.info with:
+
+VERSION="$VERSION"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/$PRGNAM-$VERSION.tar.xz"
+MD5SUM="$( md5sum $PRGNAM-$VERSION.tar.xz | cut -d' ' -f1 )"
+
+Don't forget to upload the new source!
+EOF
diff --git a/graphics/xcf-pixbuf-loader/slack-desc b/graphics/xcf-pixbuf-loader/slack-desc
new file mode 100644
index 0000000000..ead6e823ef
--- /dev/null
+++ b/graphics/xcf-pixbuf-loader/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xcf-pixbuf-loader: xcf-pixbuf-loader (gdk-pixbuf2 loader for Gimp image files)
+xcf-pixbuf-loader:
+xcf-pixbuf-loader: XCF is the Gimp's native file format, as created by its Save
+xcf-pixbuf-loader: command. This loader allows applications using gdk-pixbuf2 to load
+xcf-pixbuf-loader: .xcf files. In particular, it works with qiv.
+xcf-pixbuf-loader:
+xcf-pixbuf-loader:
+xcf-pixbuf-loader:
+xcf-pixbuf-loader:
+xcf-pixbuf-loader:
+xcf-pixbuf-loader:
diff --git a/graphics/xcf-pixbuf-loader/xcf-pixbuf-loader.SlackBuild b/graphics/xcf-pixbuf-loader/xcf-pixbuf-loader.SlackBuild
new file mode 100644
index 0000000000..b2b38eabec
--- /dev/null
+++ b/graphics/xcf-pixbuf-loader/xcf-pixbuf-loader.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for xcf-pixbuf-loader
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=xcf-pixbuf-loader
+VERSION=${VERSION:-20180108.eb42b85}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+sh autogen.sh
+
+MODDIR="$( pkg-config gdk-pixbuf-2.0 --variable gdk_pixbuf_moduledir )"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-static \
+ --enable-shared \
+ --prefix=/usr \
+ --libdir=$MODDIR \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+rename libio libpixbufloader- $PKG/$MODDIR/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# ChangeLog is a 0-byte placeholder.
+cp -a AUTHORS COPYING NEWS README test*.xcf* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/xcf-pixbuf-loader/xcf-pixbuf-loader.info b/graphics/xcf-pixbuf-loader/xcf-pixbuf-loader.info
new file mode 100644
index 0000000000..97dd27326f
--- /dev/null
+++ b/graphics/xcf-pixbuf-loader/xcf-pixbuf-loader.info
@@ -0,0 +1,10 @@
+PRGNAM="xcf-pixbuf-loader"
+VERSION="20180108.eb42b85"
+HOMEPAGE="https://github.com/StephaneDelcroix/xcf-pixbuf-loader"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/xcf-pixbuf-loader-20180108.eb42b85.tar.xz"
+MD5SUM="b73f994ba57edcfd25c964bfc1f3680f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"